function [number, loglikness]= DPtestiranje (testni, prior, transmat, obsmat)

% %TESTIRANJE IZRAVNO

% source1IO;
% 
% testni=ans;
for j=1:36
            
            if testni(j,3)>5
                testni(j,3)=5;
            elseif testni(j,3)==0
                testni(j,3)=6;
            end
            
               podataktocan(j)=(testni(j,1)-1)*480*6 + (testni(j,2)-1)*6 + (testni(j,3));
        
    end


% %modificiranje testdata u podataktocan (MGP, MGS, DP ili DS)
% testnibroj=6;  
%     for j=1:36
%             
%             if testni{testnibroj}(j,3)>5
%                 testni{testnibroj}(j,3)=5;
%             elseif testni{testnibroj}(j,3)==0
%                 testni{testnibroj}(j,3)=6;
%             end
%             
%                podataktocan(j)=(testni{testnibroj}(j,1)-1)*480*6 + (testni{testnibroj}(j,2)-1)*6 + (testni{testnibroj}(j,3));
%         
%     end

%%TESTIRANJE%%
MAXloglik = -Inf;
number=0;

% use model to compute log likelihood
for i = 1:8
    if isempty(prior{i}) == 0
        %loglikness{testnb}(i,Q) = dhmm_logprob(testdata, prior{i}, transmat{i}, obsmat{i});
        loglikness(i) = dhmm_logprob(podataktocan, prior{i}, transmat{i}, obsmat{i});
        if loglikness(i) > MAXloglik
            MAXloglik = loglikness(i);
            number = i;
        end
    end
end


% %ISPIS REZULTATA
% switch number
%     case 1
%         disp('gledaj');
%     case 2
%         disp('grc');
%     case 3
%         disp('idem gori');
%     case 4
%         disp('nestaje mi zraka');
%     case 5
%         disp('okreni se');
%     case 6
%         disp('opasnost');
%     case 7
%         disp('smiri se');
%     case 8
%         disp('stani');
%     otherwise
%         disp('brate ne znam kako si uspio dobiti ovo rjesenje');
% end
% 
% figure(1)
% bar( [1 2 3 4 5 6 7 8], loglikness(:))
% set(gca, 'XTick', [1:8], 'XGrid', 'On', 'XLim', [0 9])

end